Announcement

Collapse
No announcement yet.

[Suite OR Forum] How 2 VIDEO Guide - Upgrading your 4.0 Forum

Collapse
This is a sticky topic.
X
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • TheLastSuperman
    replied
    This video is slightly outdated however in a good way, meaning that the upgrade script is now much more automated. If your going from 4.1 to 4.2 unless you have many custom modifications it should be a simple process of:

    1) Closing and backing up the forum (both files and a database backup).
    2) Uploading the new 4.2 files.
    3) Running the upgrade script.

    * If anything goes wrong, you can restore the files and drop all tables and re-import the database backup.
    ** Please Note: Test sites are best used when your not sure about a upgrade, in fact they should be used to check any upgrade (better safe then sorry imo) and there's no guarantee your database backup is good until you test it!

    Leave a comment:


  • tChristine
    replied
    Is this video applicable to versions 4.1.x to 4.2? If not, is there a better video for upgrading to 4.2? Thanks.

    Leave a comment:


  • TheLastSuperman
    replied
    Originally posted by TANKSALOT View Post
    Thanks!!!!
    Your quite welcome, anything else don't hesitate to ask .

    Leave a comment:


  • TANKSALOT
    replied
    Thanks!!!!

    Leave a comment:


  • TheLastSuperman
    replied
    Originally posted by TANKSALOT View Post
    Yes, I did.
    I realized that all of the files that were incorrect were from the v4.1.12 patch that I uploaded.
    I just let the upgrade.php run and all is fine now.

    Now I will proceed with the v4.1.10 to v4.1.12
    Will I need to run that patch after I upload v4.1.12?

    Thanks for all your help!!

    Steve
    The best way to explain it is:

    If your running 4.1.10 then you only download the patch for 4.1.10 and apply that.
    If your upgrading to a new version i.e. 4.1.12 then download a full copy of it and run the upgrade script as the new 4.1.12 contains the patch already .

    So in other words no, you don't need to patch 4.1.10 before upgrading to 4.1.12, you can skip the 4.1.10 patch and simply upgrade to the current (and patched) 4.1.12 .

    Leave a comment:


  • TANKSALOT
    replied
    Yes, I did.
    I realized that all of the files that were incorrect were from the v4.1.12 patch that I uploaded.
    I just let the upgrade.php run and all is fine now.

    Now I will proceed with the v4.1.10 to v4.1.12
    Will I need to run that patch after I upload v4.1.12?

    Thanks for all your help!!

    Steve

    Leave a comment:


  • TheLastSuperman
    replied
    Originally posted by TANKSALOT View Post
    I am upgrading from v4.1.10 to v.4.1.12
    I ran the upgrade.php and got the following errors.

    Due to the following errors, the install/upgrade can not continue:
    ·
    · Following is a list of files that are either missing or contain unexpected contents. The most likely cause is that all of the files from this release have not been properly uploaded. You should resolve this error before continuing.
    /api.php - File does not contain expected contents
    /includes /class_friendly_url.php - File does not contain expected contents
    /includes /init.php - File does not contain expected contents
    /install /vbulletin-mobile-style-blog.xml - File does not contain expected contents
    /install /vbulletin-mobile-style.xml - File does not contain expected contents
    /packages /vbcms /content /phpeval.php - File does not contain expected contents
    /packages /vbcms /content /staticpage.php - File does not contain expected contents
    /packages /vbcms /item /content /article.php - File does not contain expected contents
    /packages /vbcms /item /content /phpeval.php - File does not contain expected contents
    /packages /vbcms /item /content /staticpage.php - File does not contain expected contents
    /packages /vbcms /search /result /article.php - File does not contain expected contents
    /packages /vbcms /search /result /staticpage.php - File does not contain expected contents

    What is my next move?

    Steve
    Steve,

    By some off chance did you choose to patch instead of a full upgrade? See here as to why I'm asking - https://www.vbulletin.com/forum/show...rum-04-23-2012 the last post by Paul. Let me know if that is not the case and we'll look into this further .

    Leave a comment:


  • TANKSALOT
    replied
    I am upgrading from v4.1.10 to v.4.1.12
    I ran the upgrade.php and got the following errors.

    Due to the following errors, the install/upgrade can not continue:
    ·
    · Following is a list of files that are either missing or contain unexpected contents. The most likely cause is that all of the files from this release have not been properly uploaded. You should resolve this error before continuing.
    /api.php - File does not contain expected contents
    /includes /class_friendly_url.php - File does not contain expected contents
    /includes /init.php - File does not contain expected contents
    /install /vbulletin-mobile-style-blog.xml - File does not contain expected contents
    /install /vbulletin-mobile-style.xml - File does not contain expected contents
    /packages /vbcms /content /phpeval.php - File does not contain expected contents
    /packages /vbcms /content /staticpage.php - File does not contain expected contents
    /packages /vbcms /item /content /article.php - File does not contain expected contents
    /packages /vbcms /item /content /phpeval.php - File does not contain expected contents
    /packages /vbcms /item /content /staticpage.php - File does not contain expected contents
    /packages /vbcms /search /result /article.php - File does not contain expected contents
    /packages /vbcms /search /result /staticpage.php - File does not contain expected contents

    What is my next move?

    Steve

    Leave a comment:


  • TheLastSuperman
    replied
    Originally posted by DrewryMedia View Post
    So it is possible, after backing up your DB and dumping it to your desktop, to upgrade a live site?
    Yes - Although if your just now learning about backups, I recommend you attempt to restore a backup into a /testvb and if the site is able to be restored, you know your backups are being performed correctly .

    Leave a comment:


  • DrewryMedia
    replied
    So it is possible, after backing up your DB and dumping it to your desktop, to upgrade a live site?

    Leave a comment:


  • Trevor Hannant
    replied
    If the upgrade involves database changes then you need to make them.

    Leave a comment:


  • DrewryMedia
    replied
    Just wondering by chance if it is potentially possible to upgrade a live vB site and leaving the database and CMS intact, like one would when upgrading their WordPress installation ? Curious, because with WP, you can leave your DB & CMS intact without backing up, and still be ok, after upgrading the installation to the latest CMS install. Please advise. Thank you.

    Leave a comment:


  • TheLastSuperman
    replied
    Originally posted by nick71692 View Post
    any help available upgrading from 3.8 to 4.0+? I am as new to this as they come, but would like to offer my members a far greater forum experience, just dont know where to even begin.
    Some helpful information is here ( https://www.vbulletin.com/forum/show...s-and-Recovery! ) regarding upgrading from vBulletin 3.x to 4.x, the key things to note are:

    - Disable the site via admincp.
    - Backup Database and files beforehand.
    - Disable all modifications.
    - Run the upgrade script.
    - Upgrade modifications if a vB4 version is available otherwise leave disabled until they are updated or uninstall them.
    - Check the forums i.e. make a new post, send a pm to yourself etc and browse around, if no issues after the upgrade, enable the forums and enjoy!

    Leave a comment:


  • nick71692
    replied
    any help available upgrading from 3.8 to 4.0+? I am as new to this as they come, but would like to offer my members a far greater forum experience, just dont know where to even begin.

    Leave a comment:


  • K!nG
    replied
    Hi,
    Sorry guys i did figure out what the problem was .... i had permissions changed and that's why i was gettin forbidden error... just put on this may b someone like me come up with same issue :P

    Thanks

    Leave a comment:

widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
Working...
X